#!/bin/bash

REMOTE=vivekR@carnitas.collabora.co.uk;
VMHOST=carnitas.collabora.co.uk;

autoreconf -f -i 
intltoolize --automake -f

./configure \
    --with-config-uri=http://$VMHOST:82/x/ilg-config.cfg \
    --with-fedora-repo-uri=http://$VMHOST:82/Intel:/Linux-Graphics:/Fedora:/19/Fedora_19/ \
    --with-repo-key-uris=https://$VMHOST/RPM-GPG-KEY.asc

rm -vf ~/rpmbuild/SOURCES/intel-linux-graphics-installer*.tar.gz
rm -vf ~/rpmbuild/SPECS/intel-linux-graphics-installer.spec

make rpmbuild

ssh $REMOTE mkdir -p ilg-beta
scp ~/rpmbuild/SOURCES/intel-linux-graphics-installer*.tar.gz $REMOTE:ilg-beta/
scp ~/rpmbuild/SPECS/intel-linux-graphics-installer.spec $REMOTE:ilg-beta/

dpkg-buildpackage -rfakeroot -us -uc -S

oIFS="$IFS"; 
IFS="$IFS()";
read name version x < <(cat debian/changelog | head -n 1);
scp ../${name}_${version}*.{dsc,tar.*} $REMOTE:ilg-beta;

ssh $REMOTE /usr/bin/ssh intel-appliance-2 mkdir -p ilg-beta
ssh $REMOTE /usr/bin/ssh intel-appliance-2 rm -vf ilg-beta/\*
ssh $REMOTE /usr/bin/scp ilg-beta/\* intel-appliance-2:ilg-beta/
